Package org.eclipse.microprofile.config.tck.broken

# Class MissingValueOnObserverMethodInjectionTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.config.tck.broken.MissingValueOnObserverMethodInjectionTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class MissingValueOnObserverMethodInjectionTest extends org.jboss.arquillian.testng.Arquillian
A test to verify that a `ConfigProperty`-annotated injection point in an observer method with a payload that is not an instance of `Optional` that does not have a corresponding configuration property value set will cause a `DeploymentException` to be thrown.

Author:
  Laird Nelson

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`MissingValueOnObserverMethodInjectionTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deploy()`
`void`
`test()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MissingValueOnObserverMethodInjectionTest

public MissingValueOnObserverMethodInjectionTest()

## Method Details

### deploy

@ShouldThrowException(jakarta.enterprise.inject.spi.DeploymentException.class) @Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

### test

public void test()